Unit tde11r_p;
interface
uses
SysUtils, Math, { Delphi }
Lstruct, Lfunc, UtRes_p, FDE11R_p, DE11R_p;

function tde11r: String;

implementation

function tde11r: String;
var
M,_i,IERR :Integer;
XK,XN,H,EPS,P,HMIN :Real;
Y :Array [0..1] of Real;
YP :Array [0..1] of Real;
DELTY :Array [0..1] of Real;
RAB :Array [0..3] of Real;
begin
Result := '';  {   }
Y[0] := Sqrt(2.0)/2;
Y[1] := -Y[0];
XK := 3.14159265359;
M := 2;
XN := 0.75*3.14159265359;
H := 0.01;
EPS := 3.E-5;
P := 1.E-6;
HMIN := 1.E-8;
DE11R(FDE11R,M,XN,Y,XK,HMIN,EPS,
     P,H,Y,YP,DELTY,RAB,IERR);
Result := Result + Format('%s',['       XK']);
Result := Result + Format('%s',['               YK(1)']);
Result := Result + Format('%s',['               YK(2)' + #$0D#$0A]);
Result := Result + Format('%20.16f ',[XK]) + #$0D#$0A;
Result := Result + #$0D#$0A;
for _i:=0 to 1 do
 begin
  Result := Result + Format('%20.16f ',[Y[_i]]);
  if ( ((_i+1) mod 2)=0 )
   then Result := Result + #$0D#$0A;
 end;
Result := Result + #$0D#$0A;
UtRes('tde11r',Result);  {     tde11r.res }
exit;
end;

end.
